MPD: Data Fields

MPD 0.20.15

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - c -

- c_str() : AllocatedPath , AllocatedString< T > , BasicStringBuffer< T, CAPACITY > , NarrowPath , Path , StringPointer< T >
- CalcInputSampleRate() : PcmExport::Params
- CalcOutputSampleRate() : PcmExport::Params
- CalcSourceSize() : PcmExport
- Calculate() : CrossFadeSettings
- CalculateScale() : ReplayGainTuple
- cancel : AudioOutputPlugin
- Cancel() : AudioOutputSource , AudioOutputWrapper< T > , CancellableList< T, CT > , CancellablePointer< T > , DeferredMonitor , FileOutputStream , IdleMonitor , MultipleOutputs , NfsConnection , SharedPipeConsumer , SocketMonitor , ThreadInputStream , TimeoutMonitor , UpdateWalk
- CancelAllAsync() : UpdateService
- CancelAllClients() : HttpdOutput
- CancelAndClose() : NfsConnection
- CancellablePointer() : CancellablePointer< T >
- CancelMount() : UpdateService
- CancelQueue() : HttpdClient
- CancelRead() : NfsFileReader , SocketMonitor
- CancelTimer() : EventLoop
- CancelWrite() : SocketMonitor
- canonical_uri : LocatedUri
- capacity() : BasicStringBuffer< T, CAPACITY > , CircularBuffer< T > , ForeignFifoBuffer< T >
- Cast() : AudioOutputWrapper< T > , HttpdOutput
- cbegin() : ConstBuffer< T > , WritableBuffer< T >
- cend() : ConstBuffer< T > , WritableBuffer< T >
- channels : AudioFormat
- char_traits : PathTraitsFS , PathTraitsUTF8
- CharacterData() : CommonExpatParser
- CheapSeeking() : InputStream
- Check() : AsyncInputStream , ExcludeList , InputStream , MultipleOutputs , PeriodClock , ProxyInputStream , ThreadInputStream , UPnPDirObject
- CheckAlwaysUpdate() : PeriodClock
- CheckCancelRead() : DecoderBridge
- CheckFormat() : MusicChunk , MusicPipe
- CheckModified() : StateFile
- CheckOption() : OptionParser
- CheckRethrowError() : DecoderControl , PlayerControl
- CheckUpdate() : PeriodClock
- children : Directory
- ChopSeparators() : AllocatedPath
- ChunksConsumed() : AudioOutputClient , PlayerControl
- CircularBuffer() : CircularBuffer< T >
- Class() : Java::Class
- class_type : BindMethodDetail::MethodSignatureHelper< R(T::*)(Args...)>
- Clear() : AllocatedSocketAddress , AudioFormat
- clear() : BasicStringBuffer< T, CAPACITY >
- Clear() : CircularBuffer< T > , ConfigData , CurlSlist , DatabaseStats , DecoderBuffer , ForeignFifoBuffer< T > , Java::TrivialRef< T > , MixRampInfo , MusicPipe , notify , PcmBuffer , playlist , PollResultEPoll , PollResultGeneric , Queue , ReplayGainInfo , ReplayGainTuple , ReusableArray< T, M > , SLES::AndroidSimpleBufferQueue , StaticFifoBuffer< T, size > , StaticSocketAddress , Tag , TagBuilder , UpdateQueue , UPnPDirObject
- clear() : UPnPService
- ClearError() : DecoderControl
- ClearMimeType() : InputStream
- ClearOptional() : Java::TrivialRef< T >
- ClearQueue() : Partition
- ClearSocketList() : MultiSocketMonitor
- ClearSongIdTag() : playlist
- ClearTag() : AsyncInputStream
- ClearTaggedSong() : PlayerControl
- ClearTail() : SharedPipeConsumer
- ClearTailChunk() : AudioOutput , AudioOutputSource
- client : AudioOutput , AvioStream
- Client() : Client
- client : OggDecoder
- client_cond : DecoderControl , PlayerControl
- client_is_waiting : DecoderControl
- client_list : Instance
- ClientList() : ClientList
- ClientMessage() : ClientMessage
- ClientSignal() : PlayerControl
- ClientWait() : PlayerControl
- Clone() : AllocatedString< T >
- Close() : ArchiveFile
- close : AudioOutputPlugin
- Close() : AudioOutputSource , AudioOutputWrapper< T > , Client , Database , FallbackPcmResampler , FileDescriptor , FileReader , FullyBufferedSocket , GluePcmResampler , HttpdClient , HttpdOutput , LibsampleratePcmResampler , Mixer , MultipleOutputs , NeighborExplorer , NeighborGlue , NfsConnection , NfsFileReader , PcmChannelsConverter , PcmConvert , PcmFormatConverter , PcmResampler , PcmVolume , PidFile , ServerSocket , SignalFD , SimpleDatabase , SocketMonitor , SoxrPcmResampler , ThreadInputStream
- CloseAll() : ClientList
- CloseDirectory() : NfsConnection
- CloseWait() : AudioOutput
- cmd_list : Client
- command : AudioOutput
- Command : AudioOutput
- command : DecoderControl , PlayerControl
- CommandAsync() : AudioOutput
- CommandFinished() : DecoderBridge , DecoderClient , PlayerControl
- CommandFinishedLocked() : DecoderControl
- CommandListBuilder() : CommandListBuilder
- CommandWait() : AudioOutput
- Commit() : CommandListBuilder , FileOutputStream , TagBuilder
- CommitBulk() : playlist
- CommitNew() : TagBuilder
- CommitWriteBuffer() : AsyncInputStream
- CommonExpatParser() : CommonExpatParser
- CompareName() : PlaylistInfo::CompareName
- Complement() : TagBuilder
- CompositeStorage() : CompositeStorage
- Concat() : Page
- cond : AudioOutput , DecoderControl , HttpdOutput , InputStream , notify , PlayerControl
- config_audio_format : AudioOutput
- ConfigBlock() : ConfigBlock
- ConfigParam() : ConfigParam
- ConfigTemplate() : ConfigTemplate
- Configure() : MultipleOutputs
- configured_audio_format : DecoderControl , PlayerControl
- connection : BlockingNfsOperation
- const_iterator : AllocatedArray< T > , BasicStringBuffer< T, CAPACITY > , ConstBuffer< T > , ConstBuffer< void > , IterableSplitString , WritableBuffer< T > , WritableBuffer< void >
- const_pointer : BasicStringBuffer< T, CAPACITY >
- const_pointer_type : AllocatedString< T > , ConstBuffer< T > , ConstBuffer< void > , DynamicFifoBuffer< T > , ForeignFifoBuffer< T > , PathTraitsFS , PathTraitsUTF8 , SampleTraits< SampleFormat::DSD > , SampleTraits< SampleFormat::FLOAT > , SampleTraits< SampleFormat::S16 > , SampleTraits< SampleFormat::S24_P32 > , SampleTraits< SampleFormat::S32 > , SampleTraits< SampleFormat::S8 > , StringPointer< T > , WritableBuffer< T > , WritableBuffer< void >
- const_reference_type : AllocatedArray< T > , AllocatedString< T > , CancellableList< T, CT > , CancellablePointer< T > , ConstBuffer< T > , StringPointer< T > , WritableBuffer< T >
- ConstBuffer() : ConstBuffer< T > , ConstBuffer< void >
- Construct() : Manual< T >
- Consume() : BufferedReader , CircularBuffer< T > , DecoderBuffer , ForeignFifoBuffer< T > , PeakBuffer
- consume : Queue
- Consume() : SharedPipeConsumer , StaticFifoBuffer< T, size >
- ConsumeData() : AudioOutputSource
- ConsumeInput() : BufferedSocket
- container_scan : DecoderPlugin
- ContainerScan() : DecoderPlugin
- Contains() : CancellableList< T, CT > , ConstBuffer< T > , MusicPipe
- content_type : HttpdOutput
- ContentDirectoryService() : ContentDirectoryService
- Context() : Context
- Control() : EPollFD
- controlURL : UPnPService
- convert : DecoderBridge
- Convert() : FloatToIntegerSampleConvert< F, Traits > , IntegerToFloatSampleConvert< F, Traits > , LeftShiftSampleConvert< SF, DF, ST, DT > , NeonFloatTo16 , PcmChannelsConverter , PcmConvert , PcmFormatConverter , RightShiftSampleConvert< SF, DF, ST, DT >
- convert_filter : AudioOutput
- Copy() : Page
- CopyAttributes() : ProxyInputStream
- CopyTo() : Java::String
- create : DatabasePlugin , NeighborPlugin
- Create() : Page , SignalFD , SimpleDatabase
- create_uri : StoragePlugin
- CreateAudioPlayer() : SLES::Engine
- CreateChild() : Directory
- CreateOutputMix() : SLES::Engine
- CreatePipe() : FileDescriptor
- CriticalSection() : CriticalSection
- cross_fade : PlayerControl
- CrossFadeSettings() : CrossFadeSettings
- CurlEasy() : CurlEasy
- CurlGlobal() : CurlGlobal
- CurlMulti() : CurlMulti
- CurlRequest() : CurlRequest
- CurlSlist() : CurlSlist
- current : playlist
- current_chunk : DecoderBridge
- CURRENT_DIRECTORY : PathTraitsFS , PathTraitsUTF8
- CurrentChar() : Tokenizer
- CycleMixRamp() : DecoderControl